function love.load()
love.physics.setMeter(64)
world = love.physics.newWorld(0, 0, true)
image = love.graphics.newImage("love-ball.png")
objects = {}
objects.ball = {}
posx = 800/2
posy = 600/2
objects.ball.body = love.physics.newBody(world, posx, posy, "dynamic")
objects.ball.shape = love.physics.newCircleShape(20)
objects.ball.fixture = love.physics.newFixture(objects.ball.body, objects.ball.shape, 1)

love.window.setMode(800, 600)
r = 0

vectora = {}
vectorb = {}
end

function love.update(dt)
world:update(dt)
mousex = love.mouse.getX()
mousey = love.mouse.getY()
vectora[1] = mousex - posx
vectora[2] = mousey - posy

vectorb[1] = 50
vectorb[2] = 0

--cosphi = (vectora[1]*vectorb[1]+vectora[2]*vectorb[2])/((math.sqrt(vectora[1]*vectora[1] + vectora[2]*vectora[2]))* (math.sqrt(vectorb[1]*vectorb[1]+vectorb[2]*vectorb[2])))
--phi = math.acos(cosphi)

local heading = objects.ball.body:getAngle()
-- target angle
local target = math.atan2(vectora[2], vectora[1])
local arc = (heading - target + math.pi) % (2 * math.pi) - math.pi
objects.ball.body:setAngularVelocity(arc)



r2 = 180/math.pi*arc
--omega = (target - heading)*10
--objects.ball.body:setAngularVelocity(omega)
end

function love.draw()
love.graphics.setBackgroundColor(0, 0, 0)
love.graphics.setColor(255, 255, 255)
love.graphics.line(posx, posy, mousex, mousey)
love.graphics.line(posx, posy, vectorb[1]+posx, vectorb[2]+posy)

love.graphics.line(0+100, 0+100, vectora[1]+100, vectora[2]+100)
love.graphics.line(0+100, 0+100, vectorb[1]+100, vectorb[2]+100)
love.graphics.draw(image, objects.ball.body:getX(), objects.ball.body:getY(), objects.ball.body:getAngle(), 1, 1, 32, 32)
love.graphics.print(objects.ball.body:getAngle(), 50, 60)
end
